List Attachments
/unified/ticketing/attachments
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
1 supported
44 supported41 required9 notes
The unique identifier for a ticket
The unique identifier for a ticket
Ticket associated with the attachments
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
The unique identifier for a ticket
Set either ticket or collections.
Either ticket or collections is required.
The unique identifier for a workspace
3 supported3 required
3 supported1 required3 notes
The unique identifier for a ticket
Collection with type epic is required.
Either ticket or collections is required.
The unique identifier for a collection.
true
3 supported3 notes
Set this value as true to get internal comments attachments.
Set this value as true to get internal comments attachments.
Set this value as true to get internal comment attachments.
1 supported1 required
1 supported
The unique identifier for a organization.
issuetask
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Attachments
The content type of the attachment
41 supported
The time when the attachment was created
28 supported
The unique identifier for the specific version of the resource.
The attachment's name.
44 supported
The URL to download the attachment
41 supported
The unique identifier for the attachment
47 supported
Raw data returned from the remote API call.
The file size in bytes
31 supported
The ticket id to which the attachment belongs
40 supported
The time when the attachment was updated
12 supported
The user who uploaded the attachment
23 supported
The type of the user who uploaded the attachment
8 supported
curl -X GET 'https://api.truto.one/unified/ticketing/attachments?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/attachments?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/attachments"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'attachments',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"attachments",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())